#ifndef __Startmenu__

#define __Startmenu__

#include <stdio.h>
#include <stdlib.h>
#include <SDL2/SDL.h>
#include <SDL2/SDL_image.h>

#include "gamestate.h"

void Load_Textures (SDL_Renderer* renderer);

void Startmenu_Draw (SDL_Renderer* renderer);

void button_clicked(SDL_MouseButtonEvent b, GameState gameState);

int clickInRect(SDL_MouseButtonEvent b, SDL_Rect* area_rect);

#endif
